/* css imports */
@import "../assets/bootstrap/5.3.7/css/bootstrap.min.css";
@import "../assets/fontawesome/6.7.2/css/all.min.css";
@import "_fonts.css";
@import "_custom.css";
/*
@import "../assets/animate/3.7.2/animate.min.css"; //OLD (i.e, ".fadeInLeft)
@import "../assets/animate/4.1.1/animate.min.css"; //NEW (i.e. ".animate__fadeInLeft") -> migrate OLD to NEW: https://animate.style/#migration
@import "../assets/bootstrap-icons/1.11.3/bootstrap-icons.min.css";
@import "../assets/jquery-fancybox/3.5.7/css/jquery.fancybox.min.css";
@import "../assets/magnific-popup/1.2.0/css/magnific-popup.min.css";
@import "../assets/owlcarousel/2.3.4/css/owl.carousel.min.css";
@import "../assets/rd-navbar/3.5.7/css/rd-navbar.css";
@import "../assets/swiper/4.5.0/css/swiper.min.css";
@import "_{file}.css";
*/

/* override bootstrap-styles */
:root {
    /*
    --bs-font-sans-serif: "Arizonia";
    --bs-font-sans-serif: "Barlow";
    --bs-font-sans-serif: "Carme";
    --bs-font-sans-serif: "Catamaran";
    --bs-font-sans-serif: "Cuprum";
    --bs-font-sans-serif: "Lato";
    --bs-font-sans-serif: "Montserrat";
    --bs-font-sans-serif: "Nunito Sans";
    --bs-font-sans-serif: "Praise";
    --bs-font-sans-serif: "Protest Revolution";
    --bs-font-sans-serif: "Qwigley";
    --bs-font-sans-serif: "Yusei Magic";
    --bs-font-sans-serif: "Great Vibes";
    --bs-font-sans-serif: "Yesteryear";
    --bs-font-sans-serif: "";
    */
    --bs-font-sans-serif: "Philosopher";
    --bs-body-font-size: 18px;
    --bs-body-color: #f0e9df;

    /* 
    --gold: #d7b56d;
    --gold: #fea900;
    --gold-rgb: 215,181,109;
    */
    --gold: #eeaa33;
    --gold-rgb: 238,170,51;
    /* 
    --weinrot: #540316;
    --weinrot: #630c21;
    --weinrot: #540316;
    */
    --weinrot: #630213;
    --weinrot-rgb: 84,3,22;

    /* --bs-primary: #0d6efd; */
    --bs-primary: var(--gold);
    --bs-primary-rgb: var(--gold-rgb);
    --bs-secondary: #6c757d;
    --bs-secondary-rgb: 108,117,125;

    --asiabox-border-width: 7px;

}
.navbar-nav .nav-link.active,
.navbar-nav .nav-link.show {
    --bs-navbar-active-color: #fff;
}


/* global styles */
* {
    box-sizing: border-box;
}
html,
body {
    margin: 0;
    padding: 0;
    background: var(--weinrot) url('/images/bg.avif') center top fixed repeat-x;
    background-size: contain;
}
body::before {
    display: none;
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: #0003;
}

header {
    position: relative;
    z-index: 1021;
    background: url('../images/dach.svg') center bottom no-repeat;
    background-size: 920px;
}
nav {
    position: relative;
    /* z-index: 0; */
    font-size: 115%;
    font-weight: 600;
    box-shadow: 0 0 10px #0006;
}
main {
    min-height: 100vh;
    position: relative;
    z-index: 1;
}
section {}
article {}
aside {}
footer {
    position: relative;
    z-index: 1;
}


#logo {
    width: 640px;
    filter: drop-shadow(1px 1px 1px #000) drop-shadow(0px 0px 5px #0006);
}

.navbar-nav {}
.navbar-nav .nav-item {
    padding: 0 1em;

}
.navbar-nav .nav-link {
    color: var(--weinrot);
}

a {
    color: #fff;
}

img {
    max-width: 100%;
}
img.bordered {
  border: 3px solid var(--gold);
  box-shadow: 1px 1px 20px #0009;
}

.section-25 {
    padding-top: 25px;
    padding-bottom: 25px;
}
.section-50 {
    padding-top: 50px;
    padding-bottom: 50px;
}
.section-75 {
    padding-top: 75px;
    padding-bottom: 75px;
}
.section-100 {
    padding-top: 100px;
    padding-bottom: 100px;
}
.section-border {
    border-top: var(--asiabox-border-width) solid var(--gold);
    border-bottom: var(--asiabox-border-width) solid var(--gold);
}


.bg-weinrot {
    background: var(--weinrot);
}
.bg-black-10 {
    background-color: #0002;
}
.bg-black-20 {
    background-color: #0004;
}
.bg-black-30 {
    background-color: #0006;
}
.bg-black-40 {
    background-color: #0009;
}
.bg-black-50 {
    background-color: #000a;
}
.bg-black-60 {
    background-color: #000b;
}
.bg-black-70 {
    background-color: #000c;
}
.bg-black-80 {
    background-color: #000d;
}
.bg-black-90 {
    background-color: #000e;
}


.bg-image {
    background: #0001;
    background-size: cover;
    background-repeat: round;
    box-shadow: inset 0 0 20px #000, inset 0 0 10px #000;
}

.ar-1-1 {
    aspect-ratio: 1 / 1;
}
.ar-2-1 {
    aspect-ratio: 2 / 1;
}
.ar-3-1 {
    aspect-ratio: 3 / 1;
}
.ar-4-1 {
    aspect-ratio: 4 / 1;
}



.speisekarte {
    background: #fff;
    box-shadow: 1px 1px 10px #0006;
    padding: 50px;
    color: #444;
    margin-bottom: 50px;
    border-radius: 5px;
}
.speisekarte ul.speise-liste {
    list-style: none;
    padding: 0;
}
.speisekarte ul.speise-liste div {
    line-height: 1;
    padding: 0 1em;
}
.speisekarte ul.speise-liste li:first-child {
    border-top: 1px solid #0003;
}
.speisekarte ul.speise-liste li {
    display: flex;
    /* justify-content: space-between; */
    align-items: baseline;
    padding: 0.5em 0;
    border-bottom: 1px solid #0003;
}
.speisekarte ul.speise-liste .nr {
    font-weight: bold;
    white-space: nowrap;
}
.speisekarte ul.speise-liste .gericht {
    line-height: 1.2;
}
.speisekarte ul.speise-liste .gericht > span:nth-child(1) {
    font-weight: bold;
    display: block;
}
.speisekarte ul.speise-liste .gericht > span:nth-child(2) {
    color: #777;
}

.badge {
    font-family: "Roboto";
    /* font-size: 66%; */
}



h1, .h1,
h2, .h2,
h3, .h3,
h4, .h4,
h5, .h5,
h6, .h6 {
    font-family: 'Arizonia';
    color: var(--bs-primary);
}
h1, .h1 {
    font-size: 96px;
}
h2, .h2 {
    font-size: 64px;
}
h3, .h3 {
    font-size: 48px;
}
h4, .h4 {
    font-size: 32px;
}
h5, .h5 {
    font-size: 28px;
}
h6, .h6 {
    font-size: 24px;
}

/* p {
    color: #f0e9df;
} */


/* asiabox 1 */
.asiabox {
    position: relative;
    overflow: hidden;
}
.asiabox .asiabox-inner {
    position: relative;
    padding: 75px;
    border: var(--asiabox-border-width) solid var(--gold);
    box-shadow: inset 0 0 30px #0009;
}
.asiabox [class*="asiabox-edge-"] {
    position: absolute;
    border: var(--asiabox-border-width) solid var(--gold);
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: var(--weinrot);
}
.asiabox .asiabox-edge-top-left {
    top: -50px;
    left: -50px;
}
.asiabox .asiabox-edge-top-right {
    top: -50px;
    right: -50px;
}
.asiabox .asiabox-edge-bottom-left {
    bottom: -50px;
    left: -50px;
}
.asiabox .asiabox-edge-bottom-right {
    bottom: -50px;
    right: -50px;
}

/* asiabox 2 */
.asiabox-2 {
    position: relative;
    overflow: hidden;
}
.asiabox-2 .asiabox-inner {
    position: relative;
    padding: 50px;
    border: 7px double var(--gold);
}
.asiabox-2 [class*="asiabox-edge-"] {
    position: absolute;
    border: 7px double var(--gold);
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: var(--weinrot);
}
.asiabox-2 .asiabox-edge-top-left {
    top: -50px;
    left: -50px;
}
.asiabox-2 .asiabox-edge-top-right {
    top: -50px;
    right: -50px;
}
.asiabox-2 .asiabox-edge-bottom-left {
    bottom: -50px;
    left: -50px;
}
.asiabox-2 .asiabox-edge-bottom-right {
    bottom: -50px;
    right: -50px;
}

.asiabox img,
.asiablo-2 img {
    border: 3px solid var(--gold);
    box-shadow: 1px 1px 20px #0009;
}


.gallery {
    display: flex;
    flex-wrap: wrap;
}
.gallery img {
    width: 24%;
    object-fit: cover;
    margin: 0.5%;
}


.box {
    border: var(--asiabox-border-width) solid var(--gold);
    background: var(--weinrot);
    padding: 25px;
    box-shadow: 1px 1px 20px #0006;
}
.box .card-title {

}
.box p {

}

.title {
    border-bottom: 1px solid rgba(var(--gold-rgb), 0.5);
}
.sub-title {
    text-transform: uppercase;
    color: #fff;
}

b,
strong {
    color: var(--gold);
}
.bold {
    font-weight: 600;
}

.twirl {
    display: inline-block;
    position: relative;
    padding-left: 100px;
    padding-right: 100px;
}
.twirl::before {
    content: "";
    position: absolute;
    left: 0;
    width: 80px;
    height: 100%;
    background: url('../images/twirl.svg') center no-repeat;
    background-size: contain;
}
.twirl::after {
    content: "";
    position: absolute;
    right: 0;
    width: 80px;
    height: 100%;
    background: url('../images/twirl.svg') center no-repeat;
    background-size: contain;
    transform: scaleX(-1);
}


.fs-12 {
    font-size: 12px;
}
.fs-18 {
    font-size: 18px;
}
.fs-20 {
    font-size: 20px;
}
.fs-22 {
    font-size: 22px;
}
.fs-24 {
    font-size: 24px;
}
.fs-28 {
    font-size: 28px;
}
.fs-32 {
    font-size: 32px;
}
.fs-36 {
    font-size: 36px;
}
.fs-48 {
    font-size: 48px;
}
.fs-64 {
    font-size: 64px;
}


ul.list-inline {
    list-style: none;
}
ul.list-inline li {
    display: inline;
    padding: 10px;   
}




.list-group {
    --bs-list-group-color: #fff;
    --bs-list-group-bg: #0000;
    --bs-list-group-border-color: #0006;
    /* --bs-list-group-border-width: var(--bs-border-width); */
    /* --bs-list-group-border-radius: var(--bs-border-radius); */
    /* --bs-list-group-item-padding-x: 1rem;
    --bs-list-group-item-padding-y: 0.5rem; */
    --bs-list-group-action-color: #fffc;
    --bs-list-group-action-hover-color: #fff;
    --bs-list-group-action-hover-bg: #0001;
    --bs-list-group-action-active-color: var(--bs-body-color);
    --bs-list-group-action-active-bg: var(--bs-secondary-bg);
    --bs-list-group-disabled-color: var(--bs-secondary-color);
    --bs-list-group-disabled-bg: var(--bs-body-bg);
    --bs-list-group-active-color: var(--weinrot);
    --bs-list-group-active-bg: var(--gold);
    --bs-list-group-active-border-color: #0006;
    /* display: flex;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
    border-radius: var(--bs-list-group-border-radius); */
}



.font1 {
    font-family: "Arizonia";
}
.font2 {
    font-family: "Philosopher";
}
.font3 {
    font-family: "Barlow";
}
.font4 {
    font-family: "Carme";
}
.font5 {
    font-family: "Catamaran";
}
.font6 {
    font-family: "Cuprum";
}
.font7 {
    font-family: "Lato";
}
.font8 {
    font-family: "Montserrat";
}
.font9 {
    font-family: "Nunito Sans";
}
.font10 {
    font-family: "Praise";
}
.font11 {
    font-family: "Protest Revolution";
}
.font12 {
    font-family: "Qwigley";
}
.font13 {
    font-family: "Yusei Magic";
}
.font14 {
    font-family: "Great Vibes";
}
.font15 {
    font-family: "Yesteryear";
}


ul.list {
    padding-left: 0px;
    list-style-position: inside;
}
ul.list li {
    
}


#map {
    width: 100%;
    height: auto;
    aspect-ratio: 1 / 1;
}
iframe {
    display: block;
}


.button {
    display: inline-block;
    margin: 0 5px;
    border: 3px solid #ccc;
    padding: 10px 25px;
    min-width: 180px;
    background: #0000;
    color: #ccc;
    text-decoration: none;
    transition: all 0.25s ease;
}
.button:hover {
    background: #ccc;
    color: #000;
}
.button-primary {
    border-color: var(--gold);
    color: var(--gold);
}
.button-primary:hover {
    background-color: var(--gold);
    color: var(--weinrot);
}
.button-secondary {
    border-color: var(--weinrot);
}
.button-secondary:hover {
    background-color: var(--weinrot);
    color: #000;
}


/* none (xs) */
@media (max-width: 576px) {
    .asiabox .asiabox-inner {
        padding: 50px 25px;
    }
    .twirl::before,
    .twirl::after {
        display: none;
    }
    .title {
        padding: 0;
    }
    h3, .h3 {
        font-size: 24px;
    }
    .gallery img {
        width: 49%;
        margin: 0.5%;
    }
    .speisekarte {
        padding: 10px;
    }
}
/* sm */
@media (min-width: 576px) and (max-width: 768px) {
}
/* md */
@media (min-width: 768px) and (max-width: 992px) {
}
/* lg */
@media (min-width: 992px) and (max-width: 1200px) {
}
/* xl */
@media (min-width: 1200px) and (max-width: 1400px) {
}
/* xxl */
@media (min-width: 1400px) {
}
